uk.gov.hmrc.http.controllers

# RestFormats

###
Related Docs: trait RestFormats | package controllers

#### object RestFormats extends RestFormats

Linear Supertypes
RestFormats, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RestFormats
2. RestFormats
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### implicit val dateTimeFormats: Format[DateTime]

   Definition Classes
     RestFormats

7. #### implicit val dateTimeRead: Reads[DateTime]

   Definition Classes
     RestFormats

8. #### implicit val dateTimeWrite: Writes[DateTime]

   Definition Classes
     RestFormats

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### implicit val localDateFormats: Format[LocalDate]

    Definition Classes
      RestFormats

16. #### implicit val localDateRead: Reads[LocalDate]

    Definition Classes
      RestFormats

17. #### implicit val localDateTimeFormats: Format[LocalDateTime]

    Definition Classes
      RestFormats

18. #### implicit val localDateTimeRead: Reads[LocalDateTime]

    Definition Classes
      RestFormats

19. #### implicit val localDateTimeWrite: Writes[LocalDateTime]

    Definition Classes
      RestFormats

20. #### implicit val localDateWrite: Writes[LocalDate]

    Definition Classes
      RestFormats

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from RestFormats

### Inherited from AnyRef

### Inherited from Any

### Ungrouped